View Issue Details

IDProjectCategoryLast Update
0025599AI War 2Bug - GameplayOct 1, 2021 3:14 pm
Reporterwhimsee Assigned Tox4000Bughunter  
Severityminor 
Status resolvedResolutionfixed 
Product VersionBeta 3.703 Smooth Sim 
Fixed in VersionBeta 3.704 Unexpected Turbo Sim Speed 
Summary0025599: Removing Nomads from game setup does not remove it entirely
DescriptionI tried removing nomad planets from the setup menu and it threw an error (it's in the debug log). I thought it was weird but thought nothing of it until I started another game, this time to test astro trains.

But as you can see from the screenshots, the nomads are still in my game but they're not a listed faction.
TagsNo tags attached.

Activities

whimsee

Sep 30, 2021 11:15 pm

reporter  

debug.txt (11,355 bytes)   
9/30/2021 8:06:37 PM	SINGLEP	Current directory used: E:/SteamLibrary/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: E:/SteamLibrary/steamapps/common/AI War 2/PlayerData/
9/30/2021 8:06:37 PM	SINGLEP	Boot up FleetOS (0.2182s)
9/30/2021 8:06:38 PM	SINGLEP	graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.1]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 10  (10.0.19043) 64bit
graphicsDeviceName: NVIDIA GeForce GTX 970
graphicsDeviceID: 5058
graphicsDeviceVendor: NVIDIA
graphicsDeviceVendorID: 4318
graphicsDeviceVersion: Direct3D 11.0 [level 11.1]
graphicsMemorySize: 4043
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-7600K CPU @ 3.80GHz
processorCount: 4
processorFrequency: 3792
systemMemorySize: 32704
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
9/30/2021 8:06:38 PM	SINGLEP	Check System Logs For Rogue Intelligence (0.6517s)
9/30/2021 8:06:38 PM	SINGLEP	Inspect Aft Hatches (0.2668s)
9/30/2021 8:06:38 PM	SINGLEP	Found 407 xml files in 116 folders in 28ms
9/30/2021 8:06:40 PM	SINGLEP	Check For Extra Modules (1.3526s)
9/30/2021 8:06:40 PM	SINGLEP	407 Xml Files Parsed in 1,321ms
9/30/2021 8:06:40 PM	SINGLEP	Gather Ancient Lifeforms (0.0069s)
9/30/2021 8:06:40 PM	3.703	SINGLEP	Game Version: 3.703
9/30/2021 8:06:40 PM	3.703	SINGLEP	Eject Trash Into Hyperspace (0.0139s)
9/30/2021 8:06:40 PM	3.703	SINGLEP	Bring Cloaking Systems Online (0.0278s)
9/30/2021 8:06:40 PM	3.703	SINGLEP	Update mod and expansion statuses!
9/30/2021 8:06:40 PM	3.703	SINGLEP	Expansions:  The Spire Rises (Installed And Enabled!)  Zenith Onslaught (Installed And Enabled!)  The Neinzul Abyss (NOT INSTALLED)  
9/30/2021 8:06:40 PM	3.703	SINGLEP	Mods:  CapturableDreadnoughts (Disabled)  ExoticShips (Disabled)  ExtendedShipVariants (Disabled)  FrigatesFocus (Disabled)  MicroModCollection (Disabled)  MoreFrigates (Disabled)  MoreStartingFleets (Disabled)  MoreSystemDefenders (Disabled)  PowerfulCommandStations (Disabled)  RaisingTheFloorMultiAIAdjustment (Disabled)  SKCivilianIndustry (Disabled)  SpireRailgunShop (Disabled)  SuperchargeRaid (Disabled)  SuperSaiyanOverlord (Disabled)  TameDarkSpire (Disabled)  
9/30/2021 8:06:40 PM	3.703	SINGLEP	Check Nearby Stellar Masses (0.0516s)
9/30/2021 8:06:40 PM	3.703	SINGLEP	407 Xml Files Checked For Exp/Mod Status in 8ms
9/30/2021 8:06:40 PM	3.703	SINGLEP	Pruning Excess Brain Cells (0.2887s)
9/30/2021 8:06:41 PM	3.703	SINGLEP	No resolution change was required.
9/30/2021 8:06:41 PM	3.703	SINGLEP	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
9/30/2021 8:06:41 PM	3.703	SINGLEP	Applied Framerate Type: Unlocked (vsync: 0 targetFPS:0)
9/30/2021 8:06:41 PM	3.703	SINGLEP	Remembering Alamo (0.5307s)
9/30/2021 8:06:41 PM	3.703	SINGLEP	Calculate Odds Of Success (0.1716s)
9/30/2021 8:06:41 PM	3.703	SINGLEP	Briefly Panic (0.2505s)
9/30/2021 8:06:42 PM	3.703	SINGLEP	Install Confidence Routines (0.5838s)
9/30/2021 8:06:42 PM	3.703	SINGLEP	Warning Only: No entries found for table 'NecromancerUpgrade'.
9/30/2021 8:06:42 PM	3.703	SINGLEP	Late Axionic Computations (0.3616s)
9/30/2021 8:06:42 PM	3.703	SINGLEP	Acquiring Towel (0.0124s)
9/30/2021 8:06:42 PM	3.703	SINGLEP	Inhibiting Visual Scans (0.0427s)
9/30/2021 8:06:42 PM	3.703	SINGLEP	Ejecting Tactical Core (0.0461s)
9/30/2021 8:06:42 PM	3.703	SINGLEP	Grouping Flow Fields (0.0208s)
9/30/2021 8:06:42 PM	3.703	SINGLEP	Medicating Starfields (0.1339s)
9/30/2021 8:06:42 PM	3.703	SINGLEP	Ejecting Distant Planets (0.1676s)
9/30/2021 8:06:42 PM	3.703	SINGLEP	Calculating Firing Cones (0.0040s)
9/30/2021 8:06:43 PM	3.703	SINGLEP	Divulge Ship Part Schematics To Enemy (0.3928s)
9/30/2021 8:06:43 PM	3.703	SINGLEP	Re-Aligning Objectives (0.1240s)
9/30/2021 8:06:46 PM	3.703	SINGLEP	Weaponizing Cryonics (3.0449s)
9/30/2021 8:06:46 PM	3.703	SINGLEP	Post-Proton Surge (0.0188s)
9/30/2021 8:06:46 PM	3.703	SINGLEP	Background Radiation Taste Test (0.0377s)
9/30/2021 8:06:46 PM	3.703	SINGLEP	Shuffling Chairs On Command Deck (0.0213s)
9/30/2021 8:06:46 PM	3.703	SINGLEP	Windshield Wiping (0.1428s)
9/30/2021 8:06:46 PM	3.703	SINGLEP	Last Organizational Modeling (0.1706s)
9/30/2021 8:06:46 PM	3.703	SINGLEP	Stimulate Modulation (0.1245s)
9/30/2021 8:06:46 PM	3.703	SINGLEP	ArcenAssetBundleCache.InstantiatedObjects: 0
9/30/2021 8:06:46 PM	3.703	SINGLEP	Order Cores By Seniority (0.0069s)
9/30/2021 8:06:46 PM	3.703	SINGLEP	DELAYED1: Info: will dump 1330 rows for GameEntityReferenceData.csv and GameEntityStrengthList.txt.
9/30/2021 8:06:47 PM	3.703	SINGLEP	Final Checks (0.7624s)
9/30/2021 8:06:47 PM	3.703	SINGLEP	Load Historical Documents (0.0491s)
9/30/2021 8:06:47 PM	3.703	SINGLEP	10.1 seconds total load time.
Check System Logs For Rogue Intelligence (0.7s)
Inspect Aft Hatches (0.3s)
Check For Extra Modules (1.4s)
Pruning Excess Brain Cells (0.3s)
Remembering Alamo (0.5s)
Briefly Panic (0.3s)
Install Confidence Routines (0.6s)
Late Axionic Computations (0.4s)
Divulge Ship Part Schematics To Enemy (0.4s)
Weaponizing Cryonics (3.0s)
Final Checks (0.8s)
9/30/2021 8:06:48 PM	3.703	SINGLEP	Hello Steam user 'Whimsee'
9/30/2021 8:07:25 PM	3.703	SINGLEP	Start load save: E:/SteamLibrary/steamapps/common/AI War 2/PlayerData/Save/_Internal/LastLobbySettings.save Source1: StartingTheLobbyFromPrior Source3: LoadingLastLobbySettings
9/30/2021 8:07:25 PM	3.703	SINGLEP	null possible names
9/30/2021 8:07:25 PM	3.703	SINGLEP	loading as template
9/30/2021 8:07:25 PM	3.703	SINGLEP	Fix Missing Faction: Added the faction AIReserves because every game should have exactly one of these.
9/30/2021 8:07:25 PM	3.703	SINGLEP	Fix Missing Faction: Added the faction AntiAIZombie because every game should have exactly one of these.
9/30/2021 8:07:25 PM	3.703	SINGLEP	Fix Missing Faction: Added the faction AntiEveryoneZombie because every game should have exactly one of these.
9/30/2021 8:07:25 PM	3.703	SINGLEP	Fix Missing Faction: Added the faction AntiPlayerZombie because every game should have exactly one of these.
9/30/2021 8:07:25 PM	3.703	SINGLEP	Fix Missing Faction: Added the faction Instigators because every game should have exactly one of these.
9/30/2021 8:07:25 PM	3.703	SINGLEP	Fix Missing Faction: Added the faction NaturalObject because every game should have exactly one of these.
9/30/2021 8:07:25 PM	3.703	SINGLEP	Fix Missing Faction: Added the faction Outguard because every game should have exactly one of these.
9/30/2021 8:07:25 PM	3.703	SINGLEP	Finish load save in 190.1ms
9/30/2021 8:07:25 PM	3.703	SINGLEP	Start Generate Partial Map with Realistic and seed 488504101 and planet count 80 and 12 factions (StartingTheLobbyFromPrior LoadingLastLobbySettings)
9/30/2021 8:07:25 PM	3.703	SINGLEP	PlayerAccount whimsee has now been put in control of faction 1 - Human Remnant.
9/30/2021 8:07:25 PM	3.703	SINGLEP	Generate Partial Map Complete  170ms Seed: 488504101
9/30/2021 8:07:30 PM	3.703	SINGLEP	Called GetIntValueForCustomFieldOrDefaultValue for non-integer field 'NomadMovementSpeed' type CustomDropdownArbitraryOptions on faction NomadPlanets
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenLog_InnerOnMainThreadOnly (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity, System.DateTime Timestamp) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.Core.ConfigurationForFaction.GetIntValueForCustomFieldOrDefaultValue (Arcen.AIW2.Core.DataForFaction_CustomFieldDefinition ForField) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.ConfigurationForFaction.GetIntValueForCustomFieldOrDefaultValue (System.String CustomFieldName, System.Boolean ErrorOnMissingField) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.Window_SetupFactionsTab.GetCurrentIntForCustomField (Arcen.AIW2.Core.DataForFaction_CustomFieldDefinition ForField) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.Window_SetupFactionsTab+bToggle.GetTextToShowFromVolatile (Arcen.Universal.ArcenDoubleCharacterBuffer buffer) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.Universal.ArcenUI_Button.OnUpdateVolatileDataFromMainThread () [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.Universal.ArcenUI_Window.OnUpdateVolatileDataFromMainThread () [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.Universal.ArcenUI.OnUpdateVolatileDataFromMainThread () [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.Core.ArcenGameControllerBase.BaseUpdate () [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at ArcenGameController.Update () [0x00000] in <a6cba12c7f0b4f47a1ff69cb43a03552>:0 

9/30/2021 8:07:30 PM	3.703	SINGLEP	Start Generate Partial Map with Realistic and seed 488504101 and planet count 80 and 24 factions (RegenerateLobbyFromPlayerInput NotLoadingAnything)
9/30/2021 8:07:30 PM	3.703	SINGLEP	PlayerAccount whimsee is controlling faction 1 - Human Remnant already.
9/30/2021 8:07:30 PM	3.703	SINGLEP	Generate Partial Map Complete  79ms Seed: 488504101
9/30/2021 8:07:35 PM	3.703	SINGLEP	Start Generate Partial Map with Realistic and seed 488504101 and planet count 80 and 22 factions (RegenerateLobbyFromPlayerInput NotLoadingAnything)
9/30/2021 8:07:35 PM	3.703	SINGLEP	PlayerAccount whimsee is controlling faction 1 - Human Remnant already.
9/30/2021 8:07:35 PM	3.703	SINGLEP	Generate Partial Map Complete  62ms Seed: 488504101
9/30/2021 8:07:39 PM	3.703	SINGLEP	Start Generate Partial Map with Realistic and seed 488504101 and planet count 80 and 23 factions (RegenerateLobbyFromPlayerInput NotLoadingAnything)
9/30/2021 8:07:39 PM	3.703	SINGLEP	PlayerAccount whimsee is controlling faction 1 - Human Remnant already.
9/30/2021 8:07:39 PM	3.703	SINGLEP	Generate Partial Map Complete  62ms Seed: 488504101
9/30/2021 8:07:41 PM	3.703	SINGLEP	Start Generate FULL Map with Realistic and seed 488504101 and planet count 80 and 23 factions (StartingMainGameAfterLobby NotLoadingAnything)
9/30/2021 8:07:42 PM	3.703	SINGLEP	Calculated Initial Strengths For New Full Galaxy Map in 6ms
9/30/2021 8:07:42 PM	3.703	SINGLEP	OnLoad Fix: AI overlord of type 'AI Overlord (t7000)' was transformed into the newer 'AI Overlord (t80)' for faction: AI Sentinels
9/30/2021 8:07:42 PM	3.703	SINGLEP	OnLoad Fix: AI overlord of type 'AI Overlord (t7000)' was transformed into the newer 'AI Overlord (t80)' for faction: AI Sentinels
9/30/2021 8:07:42 PM	3.703	SINGLEP	Generate FULL Map Complete  504ms Seed: 488504101
9/30/2021 8:07:43 PM	3.703	SINGLEP	DELAYED2: Fixed incorrect count of ships to be granted.  Was 2, now 20 Ambush Turret from Turret Schematic Server
debug.txt (11,355 bytes)   

x4000Bughunter

Oct 1, 2021 2:09 pm

administrator   ~0062879

Wow, this is a whole nest of interesting bugs!

x4000Bughunter

Oct 1, 2021 2:49 pm

administrator   ~0062880

Thanks!

* Fixed a rather subtle bug that had to do with singleton cleanup on external faction data in general. Essentially, it was not being cleaned up when going back into a pool, but only on coming back out.
** The notes in the code make it more clear why I now handle factions and squads in an opposite manner from one another, but at any rate factions have been adjusted so that there are no longer lingering effects of absent factions after you remove a faction.
** The most visible of these was nomad planets, where if you added that faction and then removed it, you would see nomad planets in all your maps until you restarted the entire game program. The nomad faction was indeed gone, but its singleton was still there and so it was kind of half-alive.
*** There would have bene other factions (fallen spire, etc) that also had this sort of characteristic, but they no longer do.

x4000Bughunter

Oct 1, 2021 3:14 pm

administrator   ~0062881

Thanks!

* Reworked the lobby faction tab so that it no longer has any chance of doing funky stuff when factions are removed or the faction you are viewing is changed. Previously it could throw exceptions in some very rare and unlucky cases. I don't think the factions window in-game (after starting a campaign) can do this, but if we see it then I'll make similar changes there.

Issue History

Date Modified Username Field Change
Sep 30, 2021 11:15 pm whimsee New Issue
Sep 30, 2021 11:15 pm whimsee File Added: Screenshot 2021-09-30 20.08.26.png
Sep 30, 2021 11:15 pm whimsee File Added: Screenshot 2021-09-30 20.11.05.png
Sep 30, 2021 11:15 pm whimsee File Added: debug.txt
Oct 1, 2021 2:09 pm x4000Bughunter Note Added: 0062879
Oct 1, 2021 2:49 pm x4000Bughunter Note Added: 0062880
Oct 1, 2021 3:14 pm x4000Bughunter Assigned To => x4000Bughunter
Oct 1, 2021 3:14 pm x4000Bughunter Status new => resolved
Oct 1, 2021 3:14 pm x4000Bughunter Resolution open => fixed
Oct 1, 2021 3:14 pm x4000Bughunter Fixed in Version => Beta 3.704 Unexpected Turbo Sim Speed
Oct 1, 2021 3:14 pm x4000Bughunter Note Added: 0062881